Query the IP address
Updated
Retrieves Agora Notifications service server IP addresses.
https://api.agora.io/v2/ncs/ipUse this endpoint to retrieve the IP addresses of the Agora Notifications service server. If your server is behind a firewall, add these IP addresses to your allowlist to receive channel event notifications.
Tip
Agora occasionally adjusts the Agora Notifications service IP addresses. Call this endpoint at least every 24 hours and automatically update your firewall configuration with the latest addresses.
Header Parameters
Request
-
The request URL and request body is case-sensitive. All requests must use HTTPS.
-
Content-Type:application/json -
The request header must contain the
Authorizationfield. For details, see RESTful authentication.
Response
-
A
200status code indicates success. The response body contains the following parameters: -
If the status code is not
200, the request fails. See themessagefield in the response body for the reason for this failure. Refer to Response status codes for details.
Response Body
application/json
Response schema
200application/jsonA 200 status code indicates success. The response body contains the result of the request.
defaultapplication/jsonThe request failed. See the message field in the response body for the reason. Refer to Response status codes for details.
Request examples
curl --request GET \ --url https://api.sd-rtn.com/v2/ncs/ip \ --header 'Accept: application/json' \ --header 'Authorization: Basic <your_base64_encoded_credentials>'Response example
{ "data": { "service": { "hosts": [ { "primaryIP": "xxx.xxx.xxx.xxx" }, { "primaryIP": "xxx.xxx.xxx.xxx" } ] } }}